osmocom on windows

Dieter Spaar spaar at mirider.augusta.de
Thu Oct 7 12:18:48 UTC 2010


Hello Peter,

On Thu, 7 Oct 2010 11:54:28 +0200, "Peter Stuge" <peter at stuge.se> wrote:
> 
> Does e.g. the CodeSourcery toolchain really need Cygwin? That would
> suck.

I don't know CodeSourcery, I use GNU ARM directly from www.gnuarm.com.
According to the CodeSourcery FAQ, they do not require Cygwin.

Are there any benefit using CodeSourcery ? I had issues in the past
with the firmware using a different GNU ARM version, so I switched
back to 4.0.2 which seems to be the same other use on Linux and
so far it works OK.

You don't seem to like Cygwin, my experience with it is not that bad,
OpenBSC (not with GPRS yet due to the need for the TUN device), OsmocomBB,
GNUradio and Airprobe run with minor adjustments (just to name GSM
related stuff I use under Cygwin).

Best regards,
  Dieter
-- 
Dieter Spaar, Germany                           spaar at mirider.augusta.de




More information about the baseband-devel mailing list